Ticket #38674

リツイートしたツイートがタイムラインに表示されない

Open Date: 2018-10-13 20:47 Last Update: 2018-10-28 10:54

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

2.1.2にて 2.1.1からアップデート後、自分の公式RTしたツイートがタイムラインに表示されません。 導入当初から『重複した公式RTの表示をしない』のチェックは外れている状態ですが、Recentタブ以外のリストタブやPublicsearchタブのツイートをRTするとRecentのTLに表示されます。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2018-10-13 20:47 Updated by: maid_subaru
  • New Ticket "リツイートしたツイートがタイムラインに表示されない" created
2018-10-14 20:47 Updated by: upsilon
Comment

すみません、全然分からなかったので以下の文章に適宜ツッコミを入れて欲しいです。

Recentタブ以外のリストタブやPublicsearchタブのツイートをRTするとRecentのTLに表示されます。

これは確かに v2.1.2 で新たに追加された機能で、想定しているとおりの挙動です。

背景としては、UserStreams が廃止されたことによって、v2.1.1 まではユーザーが Recent タブで公式 RT を実行した後に同じ Recent タブで自分の RT したツイートが流れてくるまでには次の定期更新を待たなければならない状態になっていました。

これを改善するために、v2.1.2 ではユーザーがツイートを投稿または公式 RT した場合に Recent タブに直ちに表示されるように変更されています。

リストタブや PublicSearch タブに表示されているツイートを公式 RT した場合も、Recent タブには公式 RT したツイートが流れます。

自分の公式RTしたツイートがタイムラインに表示されません。

Recent タブに表示されると書かれていましたが、表示されないというのは、どのような動作を意図していてそして何が起きなかったのでしょうか? 状況が読み取れませんでした。

(Edited, 2018-10-14 20:53 Updated by: upsilon)
2018-10-14 21:21 Updated by: maid_subaru
Comment

返信ありがとうございます。

背景としては、UserStreams が廃止されたことによって、v2.1.1 まではユーザーが Recent タブで公式 RT を実行した後に同じ Recent タブで自分の RT したツイートが流れてくるまでには次の定期更新を待たなければならない状態になっていました。 これを改善するために、v2.1.2 ではユーザーがツイートを投稿または公式 RT した場合に Recent タブに直ちに表示されるように変更されています。 リストタブや PublicSearch タブに表示されているツイートを公式 RT した場合も、Recent タブには公式 RT したツイートが流れます。

こちらについては理解しました。 簡単に書いてしまうと、Recentタブに表示されているツイートを公式RTしても重複して表示されないのです。 2.1.1までは重複して表示されていたのでRTできたかの確認ができましたが、アップデートしてからRTできているかスグには判らない状態です。

2018-10-28 10:54 Updated by: upsilon
Comment

簡単に書いてしまうと、Recentタブに表示されているツイートを公式RTしても重複して表示されないのです。 2.1.1までは重複して表示されていたのでRTできたかの確認ができましたが、アップデートしてからRTできているかスグには判らない状態です。

報告ありがとうございます。この問題について「投稿時取得」がオンの状態で発生する事を確認しました。

既に @5px さんがこの不具合を修正されているので次にリリースされるバージョンから反映される予定です。

https://osdn.net/projects/opentween/scm/git/open-tween/commits/5fde82ac28723d36dcc72d24d1882abe67faec8c

2018-10-28 10:54 Updated by: upsilon
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login